Page MenuHomePhabricator

Bundle Multimedia Viewer extension with MW 1.31
Closed, ResolvedPublic

Description

  • Passed security review or already Wikimedia deployed
  • Voting CI structure tests
  • Runs MediaWiki-CodeSniffer
  • Runs phan
  • Supports MySQL, SQLite, and Postgres (no schema changes)
  • GPL v2 or later compatible license
  • Extension's default configuration provides optimal experience
  • Tested with web installer

Details

Related Gerrit Patches:
mediawiki/tools/release : masterBundle MultimediaViewer extension

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2018, 6:26 PM
Tgr added a subscriber: Tgr.Apr 8 2018, 8:57 PM
Legoktm updated the task description. (Show Details)Apr 9 2018, 2:33 AM
Legoktm updated the task description. (Show Details)Apr 14 2018, 7:58 AM
Legoktm added a subscriber: Legoktm.

I tested with the web installer, using both instant commons and a local upload. both worked :)

Legoktm updated the task description. (Show Details)Apr 16 2018, 10:27 PM

Change 427026 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/tools/release@master] Bundle MultimediaViewer extension

https://gerrit.wikimedia.org/r/427026

Restricted Application added a project: Multimedia. · View Herald TranscriptApr 17 2018, 12:25 AM

Change 427026 merged by jenkins-bot:
[mediawiki/tools/release@master] Bundle MultimediaViewer extension

https://gerrit.wikimedia.org/r/427026

Legoktm closed this task as Resolved.Apr 17 2018, 1:31 AM
Legoktm claimed this task.